package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.EnergyProportion;
import com.lightinit.hsdatashow.entity.EnergyProportionExample;
import java.util.List;

import com.lightinit.hsdatashow.model.admin.ChartModel;
import org.apache.ibatis.annotations.Param;

public interface EnergyProportionMapper {
    long countByExample(EnergyProportionExample example);

    int deleteByExample(EnergyProportionExample example);

    int deleteByPrimaryKey(Long id);

    int insert(EnergyProportion record);

    int insertSelective(EnergyProportion record);

    List<EnergyProportion> selectByExample(EnergyProportionExample example);

    EnergyProportion selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") EnergyProportion record, @Param("example") EnergyProportionExample example);

    int updateByExample(@Param("record") EnergyProportion record, @Param("example") EnergyProportionExample example);

    int updateByPrimaryKeySelective(EnergyProportion record);

    int updateByPrimaryKey(EnergyProportion record);

    List<ChartModel> getEngeryScale();
}